
Foreman - Bug #22901

React components aren't loaded after hitting Back button on a turbolink

03/14/2018 04:19 PM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5328

  

Description

When a user navigates to some foreman page via a turbolink link and then hits Back button in the browser, the previous page is

displayed without react components.

Steps to reproduce:

1. Go to Administer >> Roles.

2. Click on [Filters] button of one of the roles and let the page load.

3. Check that react components like notification drawer and menu is working.

4. Hit Back button in the browser.

5. Result: The notification icon disappeared and the sub-menu is dysfunctional.

Another place where this can be reproduced is compute profiles page.

Associated revisions

Revision 15a7aeab - 03/18/2018 07:12 PM - Amir Fefer

Fixes #22901 - fix js execution after hitting back/forward

History

#1 - 03/14/2018 04:26 PM - Ohad Levy

Can this be related to recent turbolinks update?

#2 - 03/15/2018 12:24 PM - Amir Fefer

- Assignee set to Amir Fefer

#3 - 03/15/2018 02:35 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5328 added

#4 - 03/18/2018 07:12 PM - Ohad Levy

- translation missing: en.field_release set to 330

#5 - 03/19/2018 02:25 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 15a7aeab4822c81ea0861f26efc978f8e9d2bc7e.
